Skip to content

Log in from the InDesign/InCopy extension

POST
/cms/print/v2/session
curl --request POST \
--url https://api.example.com/cms/print/v2/session \
--header 'API-Key: <API-Key>' \
--header 'Content-Type: application/json' \
--data '{ "loginName": "example", "password": "example", "mfaCode": "example" }'

Checks a CMS user’s login name and password (and authenticator code when the user has MFA) and returns a CMS user token to send as Token-User. Returns 401 with code MFA_REQUIRED when a code is needed.

Media typeapplication/json
object
loginName
required
string
password
required
string
mfaCode
string

Example generated

{
"loginName": "example",
"password": "example",
"mfaCode": "example"
}

Logged in

Media typeapplication/json
object
token
string
expiresAt
string format: date-time
user
object

Example generated

{
"token": "example",
"expiresAt": "2026-04-15T12:00:00Z",
"user": {}
}

Wrong credentials, or MFA code required

The user cannot use print pages